__VMALLOC_NODE(9)

NAME
__vmalloc_node - allocate virtually contiguous memory

SYNOPSIS

void * __vmalloc_node (unsigned long size, gfp_t gfp_mask, pgprot_t prot, int node);

ARGUMENTS

size
    allocation size

gfp_mask
    flags for the page level allocator

prot
    protection mask for the allocated pages

node
    node to use for allocation or -1

DESCRIPTION

Allocate enough pages to cover size from the page level allocator with gfp_mask flags. Map them into contiguous kernel virtual space, using a pagetable protection of prot.

DESCRIPTION

Allocate enough pages to cover size from the page level allocator with gfp_mask flags. Map them into contiguous kernel virtual space, using a pagetable protection of prot.